type width = int
type height = int
type t = width * height * Strng.t list
val height : t -> height
val width : t -> width
val above : t -> t -> t
val beside : t -> t -> t
val to_strng : t -> Strng.t
val stack : t list -> t
val spread : t list -> t
val pixel : char -> t
val row : Strng.t -> t
val empty : width -> height -> t
val stack_with : height -> t list -> t
val spread_with : width -> t list -> t
val tile : t list list -> t
val tile_with : width -> height -> t list list -> t
val toplevel_printer : t -> unit
