type t = char list;;

let of_string s =
 let rec of_string i m s =
  if i = m then [] else String.get s i :: of_string (i +  1) m s
 in of_string 0 (String.length s) s
;;
let to_string xs =
 let rec to_string i s = function
  | [] -> s
  | x :: xs -> String.set s i x; to_string (i + 1) s xs
 in to_string 0 (String.create (Lst.length xs)) xs
;;
let of_int i = of_string (string_of_int i);;
let print s = Format.printf "%s\n" (to_string s);;
let toplevel_printer s =
 Format.printf "\"%s\"" (String.escaped (to_string s))
;;
let join s xs =
 Lst.fold1 (fun xs ys -> xs @ s @ ys) xs
;; 
